Page MenuHomePhabricator

[13/N] [libcxx] Implement the space function for windows
ClosedPublic

Authored by mstorsjo on Nov 10 2020, 8:34 AM.

Details

Diff Detail

Event Timeline

mstorsjo created this revision.Nov 10 2020, 8:34 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 10 2020, 8:34 AM
Herald added 1 blocking reviewer(s): Restricted Project. · View Herald Transcript
mstorsjo updated this revision to Diff 305081.Nov 13 2020, 3:44 AM
mstorsjo added a reviewer: amccarth.

Rebased on top of updated patches.

amccarth accepted this revision.Dec 2 2020, 3:45 PM

LGTM.

ldionne set the repository for this revision to rG LLVM Github Monorepo.Jan 28 2021, 3:18 PM
mstorsjo removed rG LLVM Github Monorepo as the repository for this revision.Jan 29 2021, 3:42 AM
mstorsjo updated this revision to Diff 320097.Jan 29 2021, 3:45 AM
mstorsjo set the repository for this revision to rG LLVM Github Monorepo.

Rebased, triggering CI.

This one, contrary to many others, isn't done (yet) with a posix-like function in posix_compat.h - I guess one could try to create a fallback statvfs struct and all that even on windows if that's really needed though, but the ifdeffed code here is pretty selfcontained.

ldionne added a subscriber: ldionne.Feb 2 2021, 7:16 AM

I guess one could try to create a fallback statvfs struct and all that even on windows if that's really needed though, but the ifdeffed code here is pretty selfcontained.

That would be my preferred approach. Can you look into it and see if it can be done? If you remove this bit of windows-specific code from operations.cpp, I think this would LGTM.

mstorsjo updated this revision to Diff 320800.Feb 2 2021, 8:22 AM

Moved the implementation into a statvfs interface in posix_compat.h.

mstorsjo updated this revision to Diff 320801.Feb 2 2021, 8:22 AM
mstorsjo set the repository for this revision to rG LLVM Github Monorepo.

Retriggering CI.

ldionne accepted this revision.Feb 2 2021, 8:25 AM

LGTM once CI passes!

This revision is now accepted and ready to land.Feb 2 2021, 8:25 AM

LGTM once CI passes!

CI passed except for the one flaky config, thus pushing.

This revision was landed with ongoing or failed builds.Feb 2 2021, 9:48 AM
This revision was automatically updated to reflect the committed changes.